{
  "openapi": "3.1.0",
  "info": {
    "title": "IO Intelligence",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.intelligence.io.solutions"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {}
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/api/r2r/v3/chunks/{id}": {
      "get": {
        "summary": "Retrieve Chunk",
        "description": "Get a specific chunk by its ID.",
        "operationId": "get-chunk-by-id",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "ID of the chunk",
            "schema": {
              "type": "string"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {
                      "results": {
                        "id": "id",
                        "document_id": "document_id",
                        "owner_id": "owner_id",
                        "collection_ids": [
                          "collection_ids"
                        ],
                        "text": "text",
                        "metadata": {
                          "key": "value"
                        },
                        "vector": [
                          1.1
                        ]
                      }
                    }
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "results": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "id"
                        },
                        "document_id": {
                          "type": "string",
                          "example": "document_id"
                        },
                        "owner_id": {
                          "type": "string",
                          "example": "owner_id"
                        },
                        "collection_ids": {
                          "type": "array",
                          "items": {
                            "type": "string",
                            "example": "collection_ids"
                          }
                        },
                        "text": {
                          "type": "string",
                          "example": "text"
                        },
                        "metadata": {
                          "type": "object",
                          "properties": {
                            "key": {
                              "type": "string",
                              "example": "value"
                            }
                          }
                        },
                        "vector": {
                          "type": "array",
                          "items": {
                            "type": "number",
                            "example": 1.1,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": {}
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "422": {
            "description": "422",
            "content": {
              "text/plain": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl -X GET https://api.intelligence.io.solutions/api/r2r/v3/chunks/{id} \\\n  -H \"Authorization: Bearer $IOINTELLIGENCE_API_KEY\""
            },
            {
              "language": "python",
              "code": "from r2r import R2RClient\n\nclient = R2RClient()\nresponse = client.chunks.retrieve(\n    id=\"b4ac4dd6-5f27-596e-a55b-7cf242ca30aa\"\n)"
            }
          ],
          "samples-languages": [
            "curl",
            "python"
          ]
        }
      }
    }
  }
}